###################################################################################################
#
#   (c) Copyright Motorola 2018. All rights reserved.
#   Motorola Confidential Proprietary
#   Contains confidential proprietary information of Motorola Mobility LLC.
#   Reverse engineering is prohibited.
#   The copyright notice does not imply publication.
#
###################################################################################################
from threading import Thread, Event


class Job(Thread):
    def __init__(self, interval, execute, *args, **kwargs):
        Thread.__init__(self)
        self.stopped = Event()
        self.interval = interval
        self.args = args
        self.kwargs = kwargs
        self.execute = execute

    def stop(self):
        self.stopped.set()
        try:
            self.join()
        except RuntimeError as e:
            pass

    def run(self):
        self.execute(*self.args, **self.kwargs)
        while not self.stopped.wait(self.interval.total_seconds()):
            self.execute(*self.args, **self.kwargs)
