import logging
import os
import sys
from logging import Formatter
from tempfile import gettempdir


logging.basicConfig(
    level=logging.DEBUG,
    format="%(asctime)s - %(name)s - %(levelname)s:  %(message)s",
    filename=os.path.join(gettempdir(), "DAVROS_AUTOUPDATER.log"),
)


def setup_logger(logger_name):
    logger = logging.getLogger(logger_name)

    ch = logging.StreamHandler(sys.stdout)
    f = Formatter("%(asctime)s - %(name)s - %(levelname)s:  %(message)s")

    ch.setLevel(logging.DEBUG)
    ch.formatter = f

    logger.addHandler(ch)

    return logger
