###################################################################################################
#
#   (c) Copyright Motorola 2018. All rights reserved.
#   Motorola Confidential Proprietary
#   Contains confidential proprietary information of Motorola Mobility LLC.
#   Reverse engineering is prohibited.
#   The copyright notice does not imply publication.
#
###################################################################################################

try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

__version__ = "22.6.6"
__author__ = "DAVROS development team"
__email__ = "davros_develoment@motorola.com"
__url__ = "https://davros.mot.com"

setup(
    name="davros_device_server",
    python_requires=">3.7, <3.9",
    version=__version__,
    packages=["davros_device_server"],
    author=__author__,
    author_email=__email__,
    url=__url__,
    description="Library to auto update Davros slave server.",
    license="Motorola Confidential",
    keywords="davros",
    platforms=["win32", "cygwin", "linux"],
    install_requires=[
        "click>=6.2",
        "virtualenv>=16.6.0",
        "packaging>=19.0",
        "ruamel.yaml",
        "pywin32==225; sys_platform == 'win32' or sys_platform == 'cygwin'",
        "requests==2.23.0",
        "psutil >= 5.0"
    ],
    classifiers=[
        "Intended Audience :: Developers",
        "Natural Language :: English",
        "Programming Language :: Python :: 3",
    ],
    entry_points={
        "console_scripts": [
            "davros-device-server = davros_device_server.davros_device_server_cli:davros_device_server"
        ]
    },
)
